libstdc++: std::raw_storage_iterator< _OutputIterator, _Tp > Class Template Reference

libstdc++

std::raw_storage_iterator< _OutputIterator, _Tp > Class Template Reference

`#include <stl_raw_storage_iter.h>`

Inheritance diagram for std::raw_storage_iterator< _OutputIterator, _Tp >:
[legend]

## Public Types
typedef void | difference_type
typedef output_iterator_tag | iterator_category
typedef void | pointer
typedef void | reference
typedef void | value_type

## Public Member Functions
| raw_storage_iterator (_OutputIterator __x)
_OutputIterator | base () const
raw_storage_iterator & | operator* ()
raw_storage_iterator & | operator++ ()
raw_storage_iterator | operator++ (int)
raw_storage_iterator & | operator= (_Tp &&__element)
raw_storage_iterator & | operator= (const _Tp &__element)

## Protected Attributes
_OutputIterator | _M_iter

## Detailed Description

template<class _OutputIterator, class _Tp>
class std::raw_storage_iterator< _OutputIterator, _Tp >

This iterator class lets algorithms store their results into uninitialized memory.

Definition at line 72 of file stl_raw_storage_iter.h.

## Member Typedef Documentation

## ◆ difference_type

typedef void std::iterator< output_iterator_tag, void, void, void, void >::difference_type
| inherited

Distance between iterators is represented as this type.

Definition at line 141 of file stl_iterator_base_types.h.

## ◆ iterator_category

typedef output_iterator_tag std::iterator< output_iterator_tag, void, void, void, void >::iterator_category
| inherited

One of the tag types.

Definition at line 137 of file stl_iterator_base_types.h.

## ◆ pointer

typedef void std::iterator< output_iterator_tag, void, void, void, void >::pointer
| inherited

This type represents a pointer-to-value_type.

Definition at line 143 of file stl_iterator_base_types.h.

## ◆ reference

typedef void std::iterator< output_iterator_tag, void, void, void, void >::reference
| inherited

This type represents a reference-to-value_type.

Definition at line 145 of file stl_iterator_base_types.h.

## ◆ value_type

typedef void std::iterator< output_iterator_tag, void, void, void, void >::value_type
| inherited

The type "pointed to" by the iterator.

Definition at line 139 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

## ◆ raw_storage_iterator()

template<class _OutputIterator, class _Tp>

std::raw_storage_iterator< _OutputIterator, _Tp >::raw_storage_iterator | ( | _OutputIterator | __x | ) |
| inlineexplicit

Definition at line 80 of file stl_raw_storage_iter.h.

## Member Function Documentation

## ◆ base()

template<class _OutputIterator, class _Tp>

_OutputIterator std::raw_storage_iterator< _OutputIterator, _Tp >::base | ( |  | ) | const
| inline

Definition at line 121 of file stl_raw_storage_iter.h.

## ◆ operator*()

template<class _OutputIterator, class _Tp>

raw_storage_iterator & std::raw_storage_iterator< _OutputIterator, _Tp >::operator* | ( |  | ) |
| inline

Definition at line 84 of file stl_raw_storage_iter.h.

## ◆ operator++() [1/2]

template<class _OutputIterator, class _Tp>

raw_storage_iterator & std::raw_storage_iterator< _OutputIterator, _Tp >::operator++ | ( |  | ) |
| inline

Definition at line 105 of file stl_raw_storage_iter.h.

## ◆ operator++() [2/2]

template<class _OutputIterator, class _Tp>

raw_storage_iterator std::raw_storage_iterator< _OutputIterator, _Tp >::operator++ | ( | int |  | ) |
| inline

Definition at line 112 of file stl_raw_storage_iter.h.

## ◆ operator=() [1/2]

template<class _OutputIterator, class _Tp>

raw_storage_iterator & std::raw_storage_iterator< _OutputIterator, _Tp >::operator= | ( | _Tp && | __element | ) |
| inline

Definition at line 97 of file stl_raw_storage_iter.h.

## ◆ operator=() [2/2]

template<class _OutputIterator, class _Tp>

raw_storage_iterator & std::raw_storage_iterator< _OutputIterator, _Tp >::operator= | ( | const _Tp & | __element | ) |
| inline

Definition at line 87 of file stl_raw_storage_iter.h.

## Member Data Documentation

## ◆ _M_iter

template<class _OutputIterator, class _Tp>

_OutputIterator std::raw_storage_iterator< _OutputIterator, _Tp >::_M_iter
| protected

Definition at line 76 of file stl_raw_storage_iter.h.

The documentation for this class was generated from the following file:

- stl_raw_storage_iter.h